%global modname datanommer.commands

Name:           datanommer-commands
Version:        0.2.0
Release:        4%{?dist}
Summary:        Console commands for datanommer

Group:          Development/Libraries
License:        GPLv3+
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

BuildRequires:  python-datanommer-models
BuildRequires:  fedmsg

Requires:       python-datanommer-models
Requires:       fedmsg

%description
Console commands for datanommer.

%prep
%setup -q -n %{modname}-%{version}

# Remove upstream egg-info so that it gets rebuilt.
rm -rf *.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test

%files
%doc README.rst LICENSE
%{python_sitelib}/datanommer/commands/
%{python_sitelib}/%{modname}-%{version}*

%{_bindir}/datanommer-create-db
%{_bindir}/datanommer-stats
%{_bindir}/datanommer-dump

%changelog
* Mon Oct 22 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-4
- Remove explicit versioned Conflicts with old datanommer.
* Fri Oct 12 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-3
- Remove unnecessary CFLAGS definition.
* Thu Oct 11 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-2
- Remove upstream egg-info so that its gets rebuilt.
* Thu Oct 11 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Initial split out from the main datanommer package.
